import request from '@/utils/request'

// 创建服务套餐
export function createServicePackage(data) {
  return request({
    url: '/system/service-package/create',
    method: 'post',
    data: data
  })
}

// 更新服务套餐
export function updateServicePackage(data) {
  return request({
    url: '/system/service-package/update',
    method: 'put',
    data: data
  })
}

// 删除服务套餐
export function deleteServicePackage(id) {
  return request({
    url: '/system/service-package/delete?id=' + id,
    method: 'delete'
  })
}

// 获得服务套餐
export function getServicePackage(id) {
  return request({
    url: '/system/service-package/get?id=' + id,
    method: 'get'
  })
}

// 获得服务套餐分页
export function getServicePackagePage(query) {
  return request({
    url: '/system/service-package/page',
    method: 'get',
    params: query
  })
}

// 获取服务套餐精简信息列表
export function getServicePackageList() {
  return request({
    url: '/system/service-package/get-simple-list',
    method: 'get'
  })
}
